INCLUDES = -I.. -I$(srcdir)/.. \
           -I../misc -I$(srcdir)/../misc \
	   -I$(top_builddir) \
	   -I$(top_builddir)/kftpgrabber/src \
	   $(all_includes)
METASOURCES = AUTO
noinst_LIBRARIES = libengine.a
noinst_HEADERS = socket.h thread.h directorylisting.h commands.h event.h \
				ftpsocket.h ftpdirectoryparser.h cache.h sftpsocket.h connectionretry.h \
		speedlimiter.h ssl.h
libengine_a_SOURCES = socket.cpp thread.cpp directorylisting.cpp commands.cpp \
				event.cpp ftpsocket.cpp ftpdirectoryparser.cpp cache.cpp sftpsocket.cpp \
			connectionretry.cpp speedlimiter.cpp ssl.cpp
